Subject: Re: bug#7781: hunspell and latex-mode

From: Peter Münster <[email-masked]>
Date: Tue, 29 Apr 2014 16:30:07 +0200

On Tue, Apr 29 2014, Eli Zaretskii wrote:

> (I have no idea why visiting the same file in Text mode avoids the
> problem.  The only difference is that in Text mode, ispell.el does not
> skip the first 2 lines, but instead submits them to Hunspell.

No. In latex-mode, emacs switches hunspell into TeX-mode with the "+".

> Why this makes the difference, I don't know, but probably the lone
> "^bla" somehow triggers the bug in the patch you installed, whatever
> that bug is.)

No. In normal mode, the "^bla" works fine. The patch on sf.net just
breaks the TeX-mode: every position becomes 0.

Your patch works nicely, thanks!

I should have tested hunspell on the command line, before reporting the
problem. Now I know, how to do that.

-- 
           Peter